{"openapi":"3.0.0","info":{"description":"API Documentation","version":"1.0.0","title":"37a95f3_API","license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"tags":[{"name":"Account","description":"Account managment"},{"name":"Payment","description":"Payment managment"},{"name":"Repossession","description":"Repossession"},{"name":"Replacement","description":"Replacement"},{"name":"Pricing Group","description":"Pricing Group Management"},{"name":"Message","description":"Message Management"},{"name":"Eligibility","description":"Eligibility Management"},{"name":"Notification SMS","description":"Notification SMS of the Pricing GROUP"}],"paths":{"/account/{idAccount}":{"get":{"tags":["Account"],"summary":"Account details","description":"It returns information about an account","parameters":[{"in":"path","name":"idAccount","description":"Identifier of the account","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["200","204"]},"data":{"$ref":"#/components/schemas/AccountResponse"},"error":{"default":null}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"type":"object","description":"Data returned"},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/account/activations/{idAccount}":{"get":{"tags":["Account"],"description":"List of activations of an account","parameters":[{"in":"path","name":"idAccount","description":"Identifier of the account","required":true,"schema":{"type":"number"}},{"in":"query","name":"limit","description":"Identifier of the account","required":false,"schema":{"type":"number"}},{"in":"query","name":"offset","description":"Identifier of the account","required":false,"schema":{"type":"number"}},{"in":"query","name":"sortBy","description":"Identifier of the account","required":false,"schema":{"type":"number"}},{"in":"query","name":"orderBy","description":"Identifier of the account","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["200","204"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/Activation"}},"error":{"default":null}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"type":"object","description":"Data returned"},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/account":{"post":{"tags":["Account"],"operationId":"addAccount","description":"Add Account","responses":{"200":{"description":"Created: Request successfully processed and creation of a document","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["200","204"]},"data":{"type":"object"},"error":{"default":null}}}}}},"400":{"description":"One of the required parameter is not present or is invalid","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}},"409":{"description":"We try to create an account who is already saved","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAccountParameters"}}},"description":"Account to add"}}},"/account/kpi":{"get":{"tags":["Account"],"description":"Get KPI in account page","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["200","204"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/AccountKPI"}},"error":{"default":null}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"type":"object","description":"Data returned"},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/account/paymentDiagram/{idAccount}":{"get":{"tags":["Account"],"description":"Graph in the payment","parameters":[{"in":"path","name":"idAccount","description":"Identifier of the account","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["200","204"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/AccountPaymentDiagram"}},"error":{"default":null}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"type":"object","description":"Data returned"},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/bulks":{"post":{"tags":["Message"],"summary":"Returns a list of bulk sent","description":"List of bulks","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/bulkListFilter"}}}},"responses":{"200":{"description":"## A JSON array of accounts with details","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":200},"data":{"$ref":"#/components/schemas/BulkItem"},"error":{"default":null}}}}}},"400":{"description":"## Bad request ","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/accounts":{"post":{"tags":["Account"],"summary":"Returns a list of accounts by filter","operationId":"getAccounts","description":"List of accounts","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountsListFilter"}}}},"responses":{"200":{"description":"## A JSON array of accounts with details","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":200},"data":{"$ref":"#/components/schemas/AccountItem"},"error":{"default":null}}}}}},"400":{"description":"## Bad request ","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/repossession":{"post":{"tags":["Repossession"],"summary":"Add a new repossession","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateRepossession"}}}},"responses":{"200":{"description":"## Created new repossession","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":200},"data":{"$ref":"#/components/schemas/CreateRepossession"},"error":{"default":null}}}}}},"400":{"description":"## Bad request ","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}},"404":{"description":"## id product not found","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["404"]},"data":{"type":"object","description":"Data returned"},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/replacement":{"post":{"tags":["Replacement"],"summary":"Add a new replacement","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateReplacement"}}}},"responses":{"200":{"description":"## Created new repossession","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":200},"data":{"$ref":"#/components/schemas/CreateReplacement"},"error":{"default":null}}}}}},"400":{"description":"## Bad request ","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}},"404":{"description":"## id product not found","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["404"]},"data":{"type":"object","description":"Data returned"},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/group":{"post":{"tags":["Pricing Group"],"summary":"Add a new group","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOrUpdateGroup"}}}},"responses":{"200":{"description":"## Created new group or updated group","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":200},"data":{"$ref":"#/components/schemas/CreateOrUpdateGroup"},"error":{"default":null}}}}}},"400":{"description":"## Bad request ","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}},"404":{"description":"## Group not Found ","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["404"]},"data":{"type":"object","description":"Data returned"},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/Group":{"put":{"tags":["Pricing Group"],"summary":"update an existing group","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOrUpdateGroup"}}}},"responses":{"200":{"description":"## Created new group or updated group","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":200},"data":{"$ref":"#/components/schemas/CreateOrUpdateGroup"},"error":{"default":null}}}}}},"400":{"description":"## Bad request ","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}},"404":{"description":"## Group not Found ","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["404"]},"data":{"type":"object","description":"Data returned"},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/messages":{"post":{"tags":["Message"],"summary":"Returns a list of messages","description":"List of messsages by filter","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/messagesListFilter"}}}},"responses":{"200":{"description":"## A JSON array of messages with details","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":200},"data":{"$ref":"#/components/schemas/messagesItems"},"error":{"default":null}}}}}},"400":{"description":"## Bad request ","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/message/export/":{"post":{"tags":["Message"],"summary":"Export the reference of the file list SMS log","description":"It returns the reference of  SMS log list file","requestBody":{"description":"the filter applied to the list","content":{"application/json":{"schema":{"$ref":"#/components/schemas/messagesListFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["200"]},"data":{"$ref":"#/components/schemas/referenceData"},"error":{"type":"string","description":"Error Message","default":null}}}}}},"404":{"description":"## Not found","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["404"]},"data":{"type":"object","description":"Data returned"},"error":{"type":"string","description":"Error Message"}}}}}}}}},"/messages/download/":{"get":{"tags":["Message"],"summary":"Download the file of list SMS logs","description":"It returns the SMS logs list file","parameters":[{"in":"query","name":"reference","required":true,"schema":{"type":"string","description":"reference of the file"}}],"responses":{"200":{"description":"OK","content":{"text/csv":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["200","204"]},"data":{"$ref":"#/components/schemas/downloadMessagesItems"},"error":{"type":"string","description":"Error Message","default":null}}}}}},"404":{"description":"## Not found","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["404"]},"data":{"type":"object","description":"Data returned"},"error":{"type":"string","description":"Error Message"}}}}}}}}},"/groups":{"post":{"tags":["Pricing Group"],"summary":"Returns a list of pricing group","description":"List of pricing group by filter","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/pricingGroupFilter"}}}},"responses":{"200":{"description":"## A JSON array of pricing group with details","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":200},"data":{"$ref":"#/components/schemas/pricingGroupItems"},"error":{"default":null}}}}}},"400":{"description":"## Bad request ","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/notifyPayment":{"post":{"tags":["Payment"],"operationId":"Add payment not assigned","summary":"Notify Payment","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotifyPaymentParamaters"}}}},"responses":{"200":{"description":"Created: Request successfully processed and creation of a document","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","default":200},"data":{"$ref":"#/components/schemas/NotifyPaymentResponses"},"error":{"default":null}}}}}},"400":{"description":"One of the required parameter is not present or is invalid","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":400},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}},"409":{"description":"The Pricing Group not found","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":400},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/payment/recharge":{"post":{"tags":["Payment"],"operationId":"Recharge KIT","description":"Make payment for rechargement","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RechargePaymentParameters"}}}},"responses":{"200":{"description":"Created: Request successfully processed and creation of a document","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","default":200},"data":{"$ref":"#/components/schemas/RechargePaymentResponse"},"error":{"default":null}}}}}},"400":{"description":"One of the required parameter is not present or is invalid","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":400},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}},"409":{"description":"The amount does not correspond to the deposit or the Pricing Group is not found","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":400},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/eligibility":{"get":{"tags":["Eligibility"],"summary":"Get Product Eligible","parameters":[{"name":"reference","in":"query","description":"phoneNumber to check","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK. Customer is eligible","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["200","204"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/GroupResponse"}},"error":{"default":null}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}},"409":{"description":"Customer is not eligible && list of Products available in cash","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/GroupResponse"}},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/payments":{"post":{"tags":["Payment"],"summary":"Returns a list of payments","description":"List of payments by filter","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/paymentsListFilter"}}}},"responses":{"200":{"description":"## A JSON array of payments with details","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":200},"data":{"$ref":"#/components/schemas/paymentsItems"},"error":{"default":null}}}}}},"400":{"description":"## Bad request ","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/group/{idGroup}":{"get":{"tags":["Pricing Group"],"summary":"Get Group By id","parameters":[{"in":"path","name":"idGroup","description":"Identifier of the Pricing Group","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"## Pricing Group with details By id","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":200},"data":{"$ref":"#/components/schemas/PricingGroupDetails"},"error":{"default":null}}}}}},"400":{"description":"## Bad request ","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/checkPayment":{"get":{"tags":["Payment"],"description":"API used to verify if Payment has been done","parameters":[{"name":"submissionId","in":"query","description":"Identifier of submission","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"## Status of the payment","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":200},"data":{"$ref":"#/components/schemas/checkPaymentResponse"},"error":{"default":null}}}}}},"409":{"description":"## The SubmissionId does not exist ","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":409},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}},"400":{"description":"## Bad request ","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":400},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/notifications/status/{id}":{"put":{"tags":["Notification SMS"],"summary":"switch notification SMS status","parameters":[{"in":"path","name":"id","description":"Identifier of the notification SMS","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","default":true},"data":{"default":null},"error":{"default":null}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":false},"data":{"type":"object","description":"Data returned"},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/group/archive/{groupId}":{"put":{"tags":["Pricing Group"],"summary":"Archive or Restore Pricing Group","parameters":[{"in":"path","name":"groupId","description":"Identifier of the Pricing Group","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","default":true},"data":{"default":null},"error":{"default":null}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":false},"data":{"type":"object","description":"Data returned"},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/notificationSMSByGroup/{idGroup}":{"get":{"tags":["Notification SMS"],"summary":"list notifications SMS By Group","description":"It returns a list of notifications by Group pricing","parameters":[{"in":"path","name":"idGroup","description":"Identifier of the pricing group","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["200","204"]},"data":{"$ref":"#/components/schemas/ListNotificationbyGroupItem"},"error":{"type":"string","description":"Error Message","default":null}}}}}},"404":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["400"]},"data":{"type":"object","description":"Data returned","default":null},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/account/verifyAccount/{accountNumber}":{"get":{"tags":["Account"],"summary":"Verify Account","parameters":[{"in":"path","name":"accountNumber","description":"Number of the account","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Account exists","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","default":200},"data":{"type":"object","properties":{"id":{"type":"number","description":"Identifier of the account"},"accountNumber":{"type":"string","description":"Account Number"},"totalPaid":{"type":"number","description":"Total paid by the account"},"unlockPrice":{"type":"number","description":"Price to unlock the unit"}}},"error":{"default":null}}}}}},"409":{"description":"Account does not exist","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":409},"data":{"type":"object","default":false},"error":{"default":null}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":400},"data":{"type":"object","description":"Data returned"},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/minAmount/{accountNumber}":{"get":{"tags":["Account"],"summary":"API Min Amount","description":"Check minimum payment to be paid (1day) with corresponding 7days, 30days","parameters":[{"in":"path","name":"accountNumber","description":"Number of the account","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Account exists","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","default":200},"data":{"type":"object","properties":{"id":{"type":"number","description":"Identifier of the account"},"accountNumber":{"type":"string","description":"Account Number"},"minAmount":{"type":"number","description":"Minimum to be paid in recharge (1day)"},"sevenDays":{"type":"number","description":"Recharge 7days"},"thirtyDays":{"type":"number","description":"Recharge 30 days"}}},"error":{"default":null}}}}}},"409":{"description":"Account does not exist","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":409},"data":{"type":"object","default":false},"error":{"default":null}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","default":400},"data":{"type":"object","description":"Data returned"},"error":{"$ref":"#/components/schemas/errorMessage"}}}}}}}}},"/payment/export/":{"post":{"tags":["Payment"],"summary":"Export the reference of the file list account payments","description":"It returns the reference of  account payment list file","requestBody":{"description":"the filter applied to the list","content":{"application/json":{"schema":{"$ref":"#/components/schemas/paymentsListFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["200"]},"data":{"$ref":"#/components/schemas/referenceData"},"error":{"type":"string","description":"Error Message","default":null}}}}}},"404":{"description":"## Not found","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["404"]},"data":{"type":"object","description":"Data returned"},"error":{"type":"string","description":"Error Message"}}}}}}}}},"/payment/download/":{"get":{"tags":["Payment"],"summary":"Download the file of list account payments","description":"It returns the account payment list file","parameters":[{"in":"query","name":"reference","required":true,"schema":{"type":"string","description":"reference of the file"}}],"responses":{"200":{"description":"OK","content":{"text/csv":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["200","204"]},"data":{"oneOf":[{"$ref":"#/components/schemas/downloadPaymentsItems"},{"$ref":"#/components/schemas/downloadUnsignedPaymentsItems"}]},"error":{"type":"string","description":"Error Message","default":null}}}}}},"404":{"description":"## Not found","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["404"]},"data":{"type":"object","description":"Data returned"},"error":{"type":"string","description":"Error Message"}}}}}}}}},"/group/export/":{"post":{"tags":["Pricing Group"],"summary":"Export the reference of group or notifications list file","description":"It returns the reference of group or notifications list file","requestBody":{"description":"the filter applied to the list","content":{"application/json":{"schema":{"$ref":"#/components/schemas/pricingGroupFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["200"]},"data":{"$ref":"#/components/schemas/referenceData"},"error":{"type":"string","description":"Error Message","default":null}}}}}},"404":{"description":"## Not found","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["404"]},"data":{"type":"object","description":"Data returned"},"error":{"type":"string","description":"Error Message"}}}}}}}}},"/group/download/":{"get":{"tags":["Group"],"summary":"Download the file of list group or notifications","description":"It returns the group or notifications list file","parameters":[{"in":"query","name":"reference","required":true,"schema":{"type":"string","description":"reference of the file"}}],"responses":{"200":{"description":"OK","content":{"text/csv":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["200","204"]},"data":{"oneOf":[{"$ref":"#/components/schemas/pricingGroupDownload"},{"$ref":"#/components/schemas/downloadNotificationsItems"}]},"error":{"type":"string","description":"Error Message","default":null}}}}}},"404":{"description":"## Not found","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Status of the request","enum":["404"]},"data":{"type":"object","description":"Data returned"},"error":{"type":"string","description":"Error Message"}}}}}}}}}},"components":{"schemas":{"AccountPaymentDiagram":{"type":"object","properties":{"percentagePaid":{"type":"number","description":"Percentage Of the Unlock Price Paid by the customer"},"unlockPrice":{"type":"number","description":"Price to unlock the unit"},"deposit":{"type":"number","description":"Price which the customer must pay the first time"},"dateFirstPayment":{"type":"string","format":"date","description":"Date of the first payment"},"dateExpectedLastPayment":{"type":"string","format":"date","description":"Date expected of the last payment"},"temporelScale":{"type":"array","items":{"$ref":"#/components/schemas/TemporelScaleItem"}},"paymentList":{"type":"array","items":{"$ref":"#/components/schemas/PaymentListAccount"}}}},"TemporelScaleItem":{"type":"object","properties":{"x0":{"type":"string","format":"date of the payment"},"x1":{"type":"string","format":"date of deadline"},"y":{"type":"integer","description":"Cumul"},"status":{"type":"string","description":"Status of the account in the period"}}},"PaymentListAccount":{"type":"object","properties":{"id":{"type":"integer","description":"Id of the payment"},"paymentDate":{"type":"string","format":"date","description":"Payment date"},"typeName":{"type":"string","description":"Type of the payment"},"phone":{"type":"string","description":"Phone which the payment has been done"},"amountPaid":{"type":"number","description":"Amount Paid"},"responsibleUser":{"$ref":"#/components/schemas/Agent"},"recordedBy":{"$ref":"#/components/schemas/Agent"}}},"checkPaymentResponse":{"type":"object","properties":{"submissionId":{"type":"string","description":"Identifier of submission"},"paymentStatus":{"$ref":"#/components/schemas/paymentStatusObject"},"statusReason":{"type":"string","description":"Description of the status payment"},"statusCode":{"type":"string","description":"Status code of the payment"},"msisdn":{"type":"string","description":"Phone number"},"statusDate":{"type":"string","description":"Date of the status"},"activationCode":{"type":"string","description":"Activation Code generated if payment OK"},"pricingGroup":{"$ref":"#/components/schemas/PricingGroupItem"}}},"paymentStatusObject":{"type":"object","properties":{"id":{"type":"number"},"statusCode":{"type":"string"},"statusName":{"type":"string"}}},"bulkListFilter":{"type":"object","properties":{"endDateSearchBegin":{"type":"string","format":"date","description":"End of the programmation"},"endDateSearchEnd":{"type":"string","format":"date","description":"End of the programmation"},"startDateSearchBegin":{"type":"string","format":"date","description":"Start of the programmation"},"startDateSearchEnd":{"type":"string","format":"date","description":"Start of the programmation"},"taskName":{"type":"string","description":"Name of the bulk"},"createdBy":{"type":"array","items":{"type":"integer"}},"sizeSeachStart":{"type":"number"},"sizeSearchEnd":{"type":"number"},"status":{"type":"array","items":{"type":"integer"}},"type":{"type":"string","description":"If it is jounral SMS or program SMS"}}},"pricingGroupDownload":{"type":"array","items":{"properties":{"name":{"type":"string","description":"name of the pricing group"},"descripion":{"type":"string","description":"description of the pricing group"},"price":{"description":"Price","type":"number","format":"double"},"accountRegistered":{"type":"integer","description":"number of accounts registered in each group"},"glpID":{"description":"identifier of glp","type":"string"},"organization":{"type":"string","description":"Name of the Organization"},"billingModel":{"type":"string","description":"the pricing facturation model"},"upfrontDaysIncluded":{"description":"Days included after first payment","type":"number"},"paidEvery":{"type":"integer","description":"interval of payment"},"pricePrograms":{"type":"number","format":"double","description":"Price programs choosen"},"minimumPayment":{"description":"Minimum payment amount","type":"number","format":"double"},"requiredPaymentIncrement":{"type":"integer"},"Products":{"type":"string","description":"name of the product"},"requiresRemetering":{"type":"boolean"},"deposit":{"description":"Amount of money given as a pledge when entering into a contract","type":"number","format":"double"},"unlockPrice":{"description":"Price value to unlock to kit","type":"number","format":"double"},"referralLimit":{"description":"Limit of the reference","type":"number"},"nominalDuration":{"description":"Nominal duration","type":"number"},"registrationUnitConditions":{"type":"string"},"replacementUnitConditions":{"type":"string"},"upgradeType":{"type":"string","description":"type of upgrade"},"productAction":{"type":"string"},"qualifyingProducts":{"type":"string"}}}},"downloadNotificationsItems":{"type":"array","items":{"properties":{"organization":{"type":"string","description":"Name of the Organization"},"glpID":{"description":"identifier of glp","type":"string"},"groupName":{"type":"string","description":"name of the pricing group"},"isArchived":{"type":"boolean","description":"If the pricing group is"},"smsNotificationGlpID":{"type":"string"},"smsNotificationType":{"description":"describes the scenario of each sms","type":"string"},"smsNotificationSchedule":{"type":"string","description":"notification frequency"},"smsNotificationIsEnabled":{"type":"boolean"},"smsNotificationContents":{"type":"string","description":"message sent"}}}},"downloadPaymentsItems":{"type":"array","items":{"properties":{"organization":{"type":"string","description":"Name of the Organization"},"paymentDate":{"type":"string","format":"date-time"},"created":{"type":"string","format":"date-time"},"accountNumber":{"description":"Account number","type":"string"},"groupName":{"type":"string","description":"name of the pricing group"},"country":{"type":"string"},"amount":{"type":"integer","format":"double"},"type":{"description":"type name of the payment","type":"string"},"phone":{"type":"string","description":"phone number"},"reversal":{"type":"boolean"},"registeredBy":{"type":"string"},"transactionID":{"type":"string","description":"Identifier of the transaction"},"deposit":{"description":"Amount of money given as a pledge when entering into a contract","type":"number","format":"double"},"paymentNote":{"type":"string"},"reversalNote":{"type":"string"},"clientName":{"type":"string"},"accountResponsibleUser":{"type":"string"},"accountSecondaryResponsibleUser":{"type":"string"},"assignmentRecorder":{"type":"string"},"testPayment":{"type":"boolean"}}}},"downloadUnsignedPaymentsItems":{"type":"array","items":{"properties":{"glpId":{"type":"string"},"organisation":{"type":"string"},"dateDenregistrement":{"type":"string","format":"date"},"numeroDeTelephone":{"type":"string"},"type":{"type":"string"},"montant":{"type":"number"},"devise":{"type":"string","default":"MGA"},"reference":{"type":"string"},"transactionFournisseurId":{"type":"string"}}}},"referenceData":{"type":"object","properties":{"reference":{"type":"string","description":"reference of the file"}}},"PricingGroupDetails":{"type":"object","properties":{"id":{"type":"integer"},"name":{"description":"Name of the pricing group","type":"string"},"description":{"description":"Description of the pricing group","type":"string"},"testGroup":{"description":"If the pricing group is for testing","type":"boolean"},"referenceLimit":{"description":"Limit of the reference","type":"number"},"idBilingModel":{"description":"identifier biling model","type":"integer"},"groupId":{"description":"Identifier of the pricing group","type":"string"},"accountregistered":{"description":"account register","type":"integer"},"deposit":{"description":"deposit","type":"number","format":"double"},"unlockPrice":{"description":"Price value to unlock to kit","type":"number","format":"double"},"upfrontDaysIncluded":{"description":"Days included after first payment","type":"number"},"minimumPayment":{"description":"Minimum payment amount","type":"number","format":"double"},"nominalDuration":{"description":"Nominal duration","type":"number"},"approvalRequired":{"type":"boolean","description":"If approval is required"},"monitoringRequired":{"type":"boolean","description":"If monitoring is required"},"exchangeRequired":{"type":"boolean","description":"If description is required"},"archived":{"type":"boolean","description":"If the pricing group is archived"},"createdDateTime":{"format":"date-time","description":"created date time"},"UpdatedDateTime":{"format":"date-time","description":"updated date time"},"pricePrograms":{"type":"number","format":"double","description":"Price programs choosen"},"paidEvery":{"type":"integer","description":"interval of payment"},"products":{"$ref":"#/components/schemas/productName"}}},"ListNotificationbyGroupItem":{"type":"array","items":{"properties":{"id":{"description":"Identifier of the notification message","type":"integer"},"textMessage":{"type":"string","description":"message content"},"status":{"type":"boolean"},"created":{"format":"date","description":"created date time"},"updated":{"format":"date","description":"updated date time"},"typeMessage":{"type":"object","properties":{"id":{"description":"Identifier of the type message","type":"integer"},"name":{"description":"describes the scenario of each sms","type":"string"},"billingModel":{"type":"string","description":"the pricing facturation model"},"frequency":{"type":"string"},"tooltip":{"type":"string"}}},"pricingGroup":{"$ref":"#/components/schemas/PricingGroupItem"}}}},"PricingGroupItem":{"type":"object","properties":{"id":{"description":"Identifier of the =pricing group","type":"integer"},"name":{"type":"string","description":"name of the pricing group"},"description":{"description":"describes the group","type":"string"},"groupID":{"type":"string"}}},"TypePayment":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string","description":"name of the payment type"},"code":{"type":"string","description":"Code of the payment type"}}},"AccountResponse":{"type":"object","properties":{"accountNumber":{"description":"Identifier of the owner's account","type":"string"},"accountIdPartner":{"description":"Identification of the account with the partner","type":"string"},"groupName":{"description":"Name of the Group","type":"string"},"country":{"description":"Country where subscription was done","type":"string"},"archived":{"description":"If the account is archived","type":"boolean"},"archivedDate":{"description":"Date of archiving","type":"string"},"subscriptionDate":{"description":"Date of the subscription","type":"string"},"totalPaid":{"description":"Total amount paid","type":"number","format":"double"},"daysBeforeDeadline":{"description":"Number of days before deadline","type":"number"},"paymentDone":{"description":"If all payment are done","type":"boolean"},"keyCodeLimit":{"type":"boolean"},"testAccount":{"type":"boolean"},"deposit":{"description":"Initial payment","type":"number","format":"double"},"upfrontDaysIncluded":{"description":"Days included after first payment","type":"number"},"unlockPrice":{"description":"Price value to unlock the kit","type":"number","format":"double"},"hourPrice":{"description":"Price value per hour","type":"number","format":"double"},"minimumPaymentAmount":{"description":"Minimum payment amount","type":"number","format":"double"},"latestPaymentDate":{"description":"Date of the latest payment","type":"string"},"expectedPaid":{"description":"Amount expected to be paid","type":"number","format":"double"},"numberOfPayments":{"description":"Number of payments","type":"number"},"cumulativeDaysDisabled":{"description":"Cumulative Days disabled","type":"number"},"kitUsesPlace":{"description":"Where to use the kit","type":"string"},"paymentSchedule":{"type":"number"},"exceptionalBalance":{"type":"number"},"created":{"description":"Creation Date","type":"string","format":"date"},"updated":{"description":"Updated Date","type":"string","format":"date"},"customer":{"$ref":"#/components/schemas/Customer"},"status":{"$ref":"#/components/schemas/GenericObject"},"responsibleAgent":{"$ref":"#/components/schemas/Agent"},"pricingGroup":{"$ref":"#/components/schemas/PricingGroup"}}},"Activation":{"type":"object","properties":{"activationID":{"type":"string","description":"activation Identifier"},"typeActivation":{"type":"string","description":"Type of the activation"},"activationCode":{"type":"string","description":"Activation code"},"creditDaysAdded":{"type":"integer","description":"Days added by the activation"},"activationDate":{"type":"string","format":"date"}}},"AccountKPI":{"type":"object","properties":{"percentagePaymentDone":{"type":"number"},"accountStatusKPI":{"type":"array","items":{"$ref":"#/components/schemas/AccountStatusKPIItem"}},"pricingGroupKPI":{"type":"array","items":{"$ref":"#/components/schemas/PricingGroupKPIItem"}},"totalAmountsPaid":{"type":"number","description":"Total of all accounts'payment"},"expectedTotalAmount":{"type":"number","description":"Total expected paid"}}},"PricingGroupKPIItem":{"type":"object","properties":{"id":{"type":"integer","description":"Id of the Pricing Group"},"name":{"type":"string","description":"name of the pricing group"},"total":{"type":"integer","description":"Total of the accounts who has bought the Pricing Group"},"percentage":{"type":"number","description":"Percentage of the accounts who has bought the Pricing Group"}}},"AccountStatusKPIItem":{"type":"object","properties":{"id":{"type":"integer","description":"Id of the account status"},"name":{"type":"string","description":"Name of the account status"},"total":{"type":"integer","description":"total number of the account status"},"percentage":{"type":"number","description":"Percentage of the accounts having the status"}}},"Customer":{"type":"object","properties":{"example":{"type":"string"}}},"GenericObject":{"type":"object","properties":{"id":{"type":"number","description":"Identifier of the status"},"code":{"type":"string","description":"Code of the status"},"name":{"type":"string","description":"Name of the status"}}},"Agent":{"type":"object","properties":{"id":{"type":"number","description":"Identifier of the Agent"},"name":{"type":"string","description":"Name of the Agent"}}},"PricingGroup":{"type":"object","properties":{"id":{"type":"integer"},"name":{"description":"Name of the pricing group","type":"string"},"description":{"description":"Description of the pricing group","type":"string"},"billingModel":{"$ref":"#/components/schemas/BillingModel"},"productType":{"$ref":"#/components/schemas/ProductType"}}},"ProductType":{"type":"object","properties":{"id":{"type":"number","description":"Identifier of the product type"},"name":{"type":"string","description":"Name of the product type"}}},"CreateAccountParameters":{"type":"object","required":["clientID","pricingGroupID","responsibleUserID"],"properties":{"clientID":{"type":"number","description":"Identifier of the client"},"pricingGroupID":{"type":"number","description":"Identifier of the pricing group"},"accountPartnerID":{"type":"string","description":"Identifier of the account partner"},"responsibleUserID":{"type":"number","description":"Identifier of the responsible user"},"groupName":{"type":"string","description":"Name of the Group"},"country":{"type":"string"},"region":{"type":"string","description":"Region"},"longitude":{"type":"number","format":"float"},"latitude":{"type":"number","format":"float"}}},"AccountsListFilter":{"type":"object","properties":{"beginSubscriptionDate":{"type":"string","format":"date","description":"start of research on the registration date"},"endSubscriptionDate":{"type":"string","format":"date","description":"end of research on the registration date"},"idProducts":{"type":"array","items":{"type":"integer"},"description":"list of product ids to look for"},"responsibleAgent":{"type":"array","items":{"type":"integer"},"description":"list of secondary responsibles agents to look for"},"idRole":{"type":"array","items":{"type":"integer"},"description":"list of roles to look for"},"idPricingGroup":{"type":"array","items":{"type":"integer"},"description":"list of pricing group ids to look for"},"totalPaidSearchStart":{"type":"integer","format":"double","description":"start of research on the total paid"},"totalPaidSearchEnd":{"type":"integer","format":"double","description":"end of research on the total paid"},"percentagePaidSearchStart":{"type":"integer","format":"double","description":"start of research on the percentage paid"},"percentagePaidSearchEnd":{"type":"integer","format":"double","description":"end of research on the percentage paid"},"idStatus":{"type":"array","items":{"type":"integer"},"description":"list of status to look for"},"daysBeforeDeadlineSearchStart":{"type":"number","description":"start of research on days before deadline"},"daysBeforeDeadlineSearchEnd":{"type":"number","description":"end of research on days before deadline"},"paymentDoneSearchStart":{"type":"string","format":"date","description":"start of research on payment done"},"paymentDoneSearchEnd":{"type":"string","format":"date","description":"end of research on payment done"},"msisdn":{"type":"string","description":"phone number"},"keyCodeLimit":{"type":"boolean","description":"key code limit"},"testAccount":{"type":"boolean","description":"include accounts and test groups"},"unitNumber":{"type":"string","description":"unit number"},"limit":{"type":"number"},"offset":{"type":"number"},"sortBy":{"type":"string"},"orderBy":{"type":"integer","enum":[0,1]}}},"BulkItem":{"type":"array","items":{"properties":{"id":{"description":"Identifier of the bulk","type":"integer"},"endDate":{"description":"End of the programmation","type":"string","format":"date-time"},"startDate":{"description":"Start of the programmation","type":"string","format":"date-time"},"taskName":{"description":"Name of the task","type":"string"},"status":{"$ref":"#/components/schemas/StatusBulk"},"size":{"type":"integer","description":"size of the messages in a bulk"},"createdDate":{"type":"string","description":"Date when bulk was created"},"createdBy":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier of the agent"},"username":{"type":"string","description":"Username of the agent"},"name":{"type":"string","description":"Name of the agent"}}}}}},"AccountItem":{"type":"array","items":{"properties":{"id":{"description":"Identifier of the acccount","type":"integer"},"accountNumber":{"description":"Account number","type":"string"},"responsibleAgent":{"$ref":"#/components/schemas/Agent"},"client":{"$ref":"#/components/schemas/clientName"},"pricingGroup":{"$ref":"#/components/schemas/pricingGroup"},"totalPaid":{"type":"number"},"percentagePaid":{"type":"number"},"dateOfRegistration":{"type":"string","format":"date-time"},"daysBeforeDeadline":{"description":"Number of days before deadline","type":"number"},"status":{"$ref":"#/components/schemas/StatusAccount"},"statusPayment":{"type":"object","properties":{"code":{"type":"string","description":"code of the status Payment"},"name":{"type":"string","description":"payment status"}}},"created":{"description":"Creation Date","type":"string","format":"date"},"updated":{"description":"Updated Date","type":"string","format":"date"}}}},"StatusBulk":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier of the status bulk"},"code":{"type":"string","description":"Code of the status bulk"},"name":{"type":"string","description":"Name of the status bulk"}}},"clientName":{"type":"object","properties":{"id":{"type":"integer","description":"Identifiers of the client"},"name":{"type":"string","description":"name of the client"}}},"pricingGroup":{"type":"object","properties":{"id":{"type":"integer","description":"pricing Group identifier"},"name":{"type":"string","description":"name of the pricing group"}}},"StatusAccount":{"type":"object","properties":{"id":{"type":"number","description":"Identifier of the status"},"code":{"type":"string","description":"Code of the status"},"name":{"type":"string","description":"Name of the status"},"accountType":{"type":"string","description":"Type of the account"}}},"CreateRepossession":{"type":"object","required":["comment","idProduct"],"properties":{"reset":{"type":"boolean","description":"if the product is reset or not"},"idProduct":{"type":"integer","description":"Identifier of the product"},"comment":{"type":"string","description":"comment on the reason for the repossession"},"idAccount":{"type":"integer","description":"The account that made the repossession"}}},"CreateReplacement":{"type":"object","required":["oldIdProduct","newIdProduct","comment"],"properties":{"oldIdProduct":{"type":"integer","description":"identifier of the old product"},"controlUnitToBeReplaced":{"type":"boolean","description":"confirmation from the control unit if the product needs to be replaced"},"newIdProduct":{"type":"integer","description":"identifier of the new product"},"comment":{"type":"string","description":"comment on the reason for the replacement"},"idAccount":{"type":"integer","description":"The account that made the repossession"}}},"CreateOrUpdateGroup":{"type":"object","required":["name","description","idProduct"],"properties":{"id":{"description":"If update a existing group then id is required otherwise it is not.","type":"integer"},"name":{"description":"Name of the pricing group","type":"string"},"description":{"description":"Description of the pricing group","type":"string"},"testGroup":{"description":"If the pricing group is for testing","type":"boolean"},"groupID":{"type":"integer","description":"id of product in the group"},"billingModel":{"type":"integer","description":"Identifier of the pricing facturation model"},"referenceLimit":{"description":"Limit of the reference","type":"number"},"approvalRequired":{"type":"boolean","description":"If approval is required"},"products":{"type":"array","items":{"type":"integer"}},"deposit":{"description":"Amount of money given as a pledge when entering into a contract","type":"number","format":"double"},"unlockPrice":{"description":"Price value to unlock to kit","type":"number","format":"double"},"purchasePrice":{"description":"purchase price for direct sale","type":"number","format":"double"},"upFrontDaysIncluded":{"description":"number of days of energy","type":"number"},"minimumPayment":{"description":"Minimum payment amount","type":"number"},"nominalDuration":{"description":"Nominal duration count in days","type":"number"},"pricingProgram":{"description":"price to pay program","type":"number","format":"double"},"paidEvery":{"description":"interval of days to pay","type":"number"},"monitoringRequired":{"type":"boolean","description":"if there are products that need to be tracked"},"exchangeRequired":{"type":"boolean","description":"if there are products that need to be tracked"}}},"paymentsListFilter":{"type":"object","properties":{"startSearchDate":{"type":"string","format":"date","description":"start of research on the date"},"endSearchDate":{"type":"string","format":"date","description":"end of research on the date"},"idPricingGroup":{"type":"array","items":{"type":"integer"},"description":"list of pricing group ids to look for"},"idSecondaryResponsibleAgent":{"type":"array","items":{"type":"integer"},"description":"list of secondary responsibles agents to look for"},"idStatus":{"type":"array","items":{"type":"integer"},"description":"list of status to look for"},"idTypePayment":{"type":"array","items":{"type":"integer"},"description":"type of payment"},"repayment":{"type":"boolean","description":"Show payouts"},"msisdn":{"type":"string","description":"phone number"},"testPayment":{"type":"boolean","description":"include payment test"},"testGroup":{"type":"boolean","description":"include accounts and test groups"},"supplierTransactionId":{"type":"string","description":"Identifier of the transaction with the supplier"},"accountNumber":{"type":"string","description":"Account number"},"assigned":{"type":"boolean","description":"If payment is assigned"},"limit":{"type":"number"},"offset":{"type":"number"},"orderBy":{"type":"string"},"sortBy":{"type":"integer"}}},"paymentsItems":{"type":"array","items":{"properties":{"id":{"type":"integer","description":"identifier of the payment"},"paymentDate":{"type":"string","format":"date-time"},"organization":{"$ref":"#/components/schemas/organization"},"typePayment":{"$ref":"#/components/schemas/TypePayment"},"amount":{"type":"integer","format":"double"},"transactionId":{"type":"string","description":"Identifier of the transaction"},"supplierTransactionId":{"type":"integer","description":"Identifier of the transaction with the supplier"},"phoneNumber":{"type":"string","description":"Phone number"},"registeredBy":{"$ref":"#/components/schemas/User"},"responsibleUser":{"$ref":"#/components/schemas/User"},"secondaryResponsibleUser":{"$ref":"#/components/schemas/User"},"account":{"$ref":"#/components/schemas/Account"},"assigned":{"type":"boolean","description":"If payment is assigned"},"paymentNote":{"type":"string","description":"Comment of the payment"},"reversalNote":{"type":"string","description":"Note for the reversal"},"created":{"type":"string","format":"date"},"paymentTest":{"type":"boolean","description":"If payment is a test"},"country":{"type":"string"},"reversal":{"type":"boolean","description":"If payment is a reversal"},"group":{"$ref":"#/components/schemas/GroupPaymentListResponse"}}}},"GroupPaymentListResponse":{"type":"object","properties":{"id":{"type":"integer","description":"Identifier of the Pricing Group"},"name":{"type":"string","description":"Name of the Pricing Group"},"description":{"type":"string","description":"Description of the Pricing Group"},"groupID":{"type":"string","description":"GroupID of the Pricing Group"},"deposit":{"type":"number","format":"double","description":"Deposit of the Pricing Group"}}},"organization":{"type":"object","properties":{"id":{"description":"Identifier of the organization","type":"integer"},"name":{"description":"name of the organization","type":"string"}}},"User":{"type":"object","properties":{"id":{"type":"number","description":"Identifier of the user"},"username":{"type":"string"},"name":{"type":"string"}}},"Account":{"type":"object","properties":{"id":{"description":"Identifier of the acccount","type":"integer"},"accountNumber":{"description":"Account number","type":"string"}}},"messagesListFilter":{"type":"object","properties":{"startSearchDate":{"type":"string","format":"date-time","description":"start of research on the date"},"endSearchDate":{"type":"string","format":"date-time","description":"end of research on the date"},"msisdn":{"type":"string","description":"phone number"},"accountNumber":{"type":"string","description":"Account number"},"idStatusMessages":{"type":"array","items":{"type":"integer"},"description":"list of message statue identifiers"},"idTypeMessages":{"type":"array","items":{"type":"integer"},"description":"list of message type identifiers"},"testSMS":{"type":"boolean","description":"test SMS"},"idBulk":{"type":"array","items":{"type":"integer"},"description":"list bulk sms job identifiers"},"limit":{"type":"number"},"offset":{"type":"number"},"sortBy":{"type":"string"},"orderBy":{"type":"string"}}},"messagesItems":{"type":"array","items":{"properties":{"id":{"type":"number","description":"Identifier of the history message"},"createdDateTime":{"type":"string","format":"date-time"},"msisdn":{"type":"string","description":"phone number"},"textMessage":{"type":"string","description":"message sent"},"account":{"$ref":"#/components/schemas/Account"},"typeMessage":{"$ref":"#/components/schemas/typeMessage"},"statusMessage":{"$ref":"#/components/schemas/statusMessage"}}}},"typeMessage":{"type":"object","properties":{"id":{"description":"Identifier of the type message","type":"integer"},"typeName":{"description":"describes the scenario of each sms","type":"string"},"status":{"type":"boolean","description":"enable or disable the sending of sms"},"idGroup":{"type":"integer"}}},"statusMessage":{"type":"object","properties":{"id":{"description":"Identifier of the status message","type":"integer"},"name":{"description":"Status message name","type":"string"},"code":{"description":"Status message code","type":"string"}}},"pricingGroupFilter":{"type":"object","properties":{"name":{"type":"string","description":"name of the pricing group"},"description":{"type":"string","description":"description of the group"},"createdDateSearchBegin":{"type":"string","format":"date-time","description":"start of research on the creation date"},"createdDateSearchEnd":{"type":"string","format":"date-time","description":"end of research on the creation date"},"idProducts":{"type":"array","items":{"type":"integer"},"description":"list identifier of the product"},"productSearchAndOr":{"type":"boolean","description":"if the product are searching together or separately"},"numberRegisteredAccountsSearchBegin":{"type":"integer","description":"start of research on number of registered accounts"},"numberRegisteredAccountsSearchEnd":{"type":"integer","description":"end of research on number of registered accounts"},"depositSearchBegin":{"type":"integer","format":"double","description":"start of research on the deposit"},"depositSearchEnd":{"type":"integer","format":"double","description":"end of research on the deposit"},"unlockPriceSearchBegin":{"type":"integer","format":"double","description":"start of research on the unlock price"},"unlockPriceSearchEnd":{"type":"integer","format":"double","description":"end of research on the unlock price"},"minimumPaymentSearchBegin":{"type":"integer","format":"double","description":"start of research on the minimum payment"},"minimumPaymentSearchEnd":{"type":"integer","format":"double","description":"end of research on the minimum payment"},"approvalRequired":{"type":"boolean","description":"if the prospective approval is required"},"testGroup":{"type":"boolean","description":"if the group is with test or not"},"archived":{"type":"boolean","description":"if the pricing group is archived"},"type":{"type":"string","description":"type of the export"},"limit":{"type":"number"},"offset":{"type":"number"},"orderBy":{"type":"string"},"sortBy":{"type":"integer","enum":[0,1]}}},"pricingGroupItems":{"type":"array","items":{"properties":{"name":{"type":"string","description":"name of the pricing group"},"descripion":{"type":"string","description":"description of the pricing group"},"products":{"$ref":"#/components/schemas/productName"},"price":{"type":"array","items":{"properties":{"deposit":{"description":"Amount of money given as a pledge when entering into a contract","type":"number","format":"double"},"unlockPrice":{"description":"Price value to unlock to kit","type":"number","format":"double"}}}},"accountRegistered":{"type":"integer","description":"number of accounts registered in each group"}}}},"productName":{"type":"array","items":{"properties":{"id":{"type":"integer","description":"identifier of the product"},"unitNumber":{"type":"string","description":"unit Number of the product"},"name":{"type":"string","description":"name of the product"}}}},"NotifyPaymentParamaters":{"type":"object","required":["statusCode","statusReason","msisdn","amount","groupId","id","ref","mvolaTransactionID"],"properties":{"statusCode":{"type":"string","description":"Status code of the payment"},"statusReason":{"type":"string","description":"description of the status"},"msisdn":{"type":"string","description":"Phonenumber which the payments has been done"},"id":{"type":"string","description":"Identifier of the partner"},"amount":{"type":"number","description":"Amount paid"},"ref":{"type":"string","description":"Supplier transaction"},"mvolaTransactionID":{"type":"string","description":"Transaction from MVOLA"},"groupID":{"type":"number"}}},"NotifyPaymentResponses":{"type":"object","properties":{"id":{"type":"number"},"mvolaTransactionID":{"type":"string","description":"Identifier of the transaction"},"paymentDate":{"type":"string","format":"date-time"},"msisdn":{"type":"string"},"amount":{"type":"number"},"idGroup":{"type":"number"},"idAccount":{"type":"number"},"partnerId":{"type":"string","description":"Transaction of the supplier"},"refPayment":{"type":"string","description":"Reference transaction"}}},"RechargePaymentParameters":{"type":"object","properties":{"transactionId":{"type":"string"},"phoneNumber":{"type":"string"},"amount":{"type":"number"},"registeredBy":{"type":"number"},"groupId":{"type":"number"},"supplierTransactionId":{"type":"string"},"paymentDate":{"type":"string","format":"date"},"accountNumber":{"type":"string"},"idOrganization":{"type":"number"}}},"RechargePaymentResponse":{"type":"object","properties":{"id":{"type":"number"},"transactionId":{"type":"string"},"paymentDate":{"type":"string","format":"date"},"phoneNumber":{"type":"string"},"amount":{"type":"number"},"registeredBy":{"type":"number"},"idGroup":{"type":"number"},"idOrganization":{"type":"number"},"assigned":{"type":"boolean"},"archived":{"type":"boolean"},"created":{"type":"string","format":"date"},"updated":{"type":"string","format":"date"}}},"downloadMessagesItems":{"type":"array","items":{"properties":{"Created_utc":{"type":"string","format":"date-time","description":"start of research on the registration date"},"To_phone":{"type":"string","description":"phone number"},"Country":{"type":"string","description":"for default => Madagascar"},"State":{"type":"string","description":"status of the shipment (example => sent)"},"Account":{"type":"string","description":"account number"},"Sms_type":{"type":"string","description":"type message"},"Cost_usd":{"type":"number","description":"default 0 for now","default":0},"Delivery_failure_reason":{"type":"string","description":"if the shipment is a failure, the reason for the failure"},"Sms_message":{"type":"string","description":"message content"},"Sms_glp_id":{"type":"string","description":"example angaza_id => SM372581599"},"Organization":{"type":"string","description":"for default => TELMA"},"Segments":{"type":"number","description":"default 1 for now","default":1}}}},"GroupResponse":{"type":"object","properties":{"id":{"type":"number"},"name":{"description":"Name of the pricing group","type":"string"},"description":{"description":"Description of the pricing group","type":"string"},"groupId":{"description":"Identifier of the pricing group","type":"string"},"billingModel":{"$ref":"#/components/schemas/BillingModel"}}},"BillingModel":{"type":"object","properties":{"id":{"description":"Identifier of the pricing billing model","type":"number"},"code":{"description":"Code of the pricing billing model","type":"string"},"modelName":{"description":"Name of the billing model","type":"string"}}},"errorMessage":{"type":"object","properties":{"message":{"type":"string","description":"error message"},"key":{"type":"string","description":"Exception"},"originalObject":{"type":"string","description":"object error"},"methodName":{"type":"string","description":"method name"},"statusCode":{"type":"integer","description":"status code of the error"}}}}},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/onya/Brouillon/1.0.0"},{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/onya/37a95f3_API/1.0.0"}]}